/* intercep.h -- header file for intercep.c
 * typedefs, defaults, etc.
 * Ned Konz 8/1/87
 */

#include <stdint.h>

/* what we record in our memory block about each interrupt */
typedef struct __attribute__ ((__packed__)) {
	uint16_t bp, di, si, ds, es, dx;
	uint16_t cx, bx, ax;
	uint16_t ip;
	uint16_t cs;
	uint16_t flags;
	uint16_t intnum;
} swi_info;

typedef struct __attribute__ ((__packed__)) {
	uint8_t vendor[8];
	uint8_t product[8];
	uint16_t offset;
	uint16_t segment;
	uint16_t version;
	uint16_t reserved;
	uint16_t intnum;
} swi_info_amis;

/* some defaults */
#define TFILENAME "interpre.dat"	/* template file name */
