#! /bin/bash

# This file is hereby placed in the Public Domain.
#
# Alternatively the following usage conditions may be applied:

# Usage of the works is permitted provided that this
# instrument is retained with the works, so that any entity
# that uses the works is notified of this instrument.
#
# DISCLAIMER: THE WORKS ARE WITHOUT WARRANTY.

[ -z "$NASM" ] && NASM=nasm
[ -z "$IA16GCC" ] && IA16GCC=ia16-elf-gcc

"$IA16GCC" -Wall -fpack-struct -mcmodel=small -Os -x c INTERPRE.C -Dfar=__far -o interpre.exe "$@"
"$NASM" -I ../lmacros/ intercep.asm -o intercep.com -l intercep.lst "$@"
